	program trojmian
c
c	program znajduje pierwiastki trojmianu kwadratowego
c	a*x^2 + b*x +c = 0
c
	real*4 a,b,c, delta, x1, x2, re, im
	integer*4  licz

	
	licz = 0  ! zerujemy licznik bledow danych
	
10	write(*,*) ' Wpisz wspolczynniki trojmianu a, b, c'  ! prosimy o wpisanie danych (na ekranie)
	
	read(*,*) a, b, c			! czytamy dane (z klawiatury)
	
	if(abs(a) .le. 1.0E-15) then       ! patrzymy czy a dostatecznie rozni sie od zera
	
		licz = licz + 1          ! dodajemy kolejny blad do "zaslug" uzytkownika
		
		if (licz .gt. 3) then    ! patrzymy czy warto kontynuowac wspolprace
		
		                         ! klient po raz czwarty sie wyglupia 
			write(*,*) 'Naucz sie czytac baranie!!!'
			write(*,*) 'dalsza wspolpraca nie ma sensu, adieu!'
			stop ' A pudziesz!!!!'
		  
		  else      ! jeszcze jest nadzieja na dogadanie sie	
		                          
		     write(*,*) ' Wspolczynnik a musi byc rozny od zera!!!'   ! mowimy co jest zle
			                                                          ! w koncu uniwersytet ma 
																	  ! czlowieka uczyc
        
		     go to 10      ! wracamy do czytania danych
	    end if
	end if	
	
	delta = b**2 - 4*a*c  ! mamy sensowne dane, obliczamy wartosc delty
	
	if(delta .gt. 0.0) then   
	                             ! delta jest dodatnia, obliczamy pierwiastki
		x1 = (-b + sqrt(delta))/(2*a)
		x2 = (-b - sqrt(delta))/(2*a)
		
		write(*,*) ' Sa dwa pierwiastki rzeczywiste'
		write(*,*) 'x1 =',x1
		write(*,*) 'x2 =',x2
		
	  else if (delta .lt. 0.0) then
								! delta jest ujemna, dwa pierwiastki sa zespolone
								
		re = -b/(2*a)           ! czesc rzeczywista pierwiastka
		im = sqrt(-delta)/(2*a) ! czesc urojona pierwiastka
		
		write(*,*) ' Sa dwa pierwiastki zespolone'
		write(*,*) 'x1 =',re,'+i*',im
		write(*,*) 'x2 =',re,'-i*',im
		
	  else
                                 ! delta jest rowna zero, pierwiastek rzeczywisty, podwojny
        x1 = -b/(2*a)
		
		write(*,*) ' Pierwiastek podwojny'
		write(*,*) 'x1 = x2 =',x1
	
	end if
		
	stop 'Skonczylem, dziekuje za wspolprace!'
	
	end
		
		
		
		
	
	
	
	
	
	
